Name:		multitail
Version:	6.4.2
Release:	%mkrel 1
Summary:	View one or multiple files like tail but with multiple windows
Group:		Text tools
License:	GPLv2
URL:		http://www.vanheusden.com/multitail
Source:		http://www.vanheusden.com/multitail/%{name}-%{version}.tgz
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)

%description
MultiTail lets you view one or multiple files like the original tail
program. The difference is that it creates multiple windows on your
console (with ncurses). It can also monitor wildcards: if another file
matching the wildcard has a more recent modification date, it will
automatically switch to that file. That way you can, for example,
monitor a complete directory of files. Merging of 2 or even more
logfiles is possible.
It can also use colors while displaying the logfiles (through regular
expressions), for faster recognition of what is important and what not.
Multitail can also filter lines (again with regular expressions) and
has interactive menus for editing given regular expressions and
deleting and adding windows. One can also have windows with the output
of shell scripts and other software. When viewing the output of 
external software, MultiTail can mimic the functionality of tools like
'watch' and such.

%prep
%setup -q

%build
%make

# Fix up doc encoding
for f in readme.txt; do
	iconv -f ISO88592 -t UTF8 < $f > $f.utf8 && \
	touch -r $f $f.utf8 && \
	mv $f.utf8 $f
done

# Fix up examples permissions
chmod 644 conversion-scripts/colors-example.*
chmod 644 conversion-scripts/convert-*.pl

%install
install -d -m0755 %{buildroot}%{_bindir} \
	%{buildroot}%{_mandir}/man1/ \
	%{buildroot}%{_sysconfdir}
%makeinstall_std

# move the configuration in the right place
mv %{buildroot}%{_sysconfdir}/%{name}.conf.new \
	%{buildroot}%{_sysconfdir}/%{name}.conf

# remove the examples (installed as docs)
rm -f %{buildroot}%{_sysconfdir}/%{name}/colors-example.*

# remove docs in wrong place
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files
%doc manual*.html license.txt readme.txt conversion-scripts/colors-example.*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jan 16 2016 sander85 <sander85> 6.4.2-1.mga6
+ Revision: 924705
- New version: 6.4.2

* Wed Oct 15 2014 umeabot <umeabot> 6.2.1-3.mga5
+ Revision: 745481
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.2.1-2.mga5
+ Revision: 682693
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 dams <dams> 6.2.1-1.mga5
+ Revision: 603136
- new version 6.2.1

* Thu Feb 06 2014 sander85 <sander85> 6.0-1.mga5
+ Revision: 584443
- New version: 6.0 (sync with Fedora)

* Sat Oct 19 2013 umeabot <umeabot> 5.2.13-2.mga4
+ Revision: 532103
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 sander85 <sander85> 5.2.13-1.mga4
+ Revision: 466958
- New version: 5.2.13 (synced with Fedora)

* Wed Jan 23 2013 sander85 <sander85> 5.2.12-1.mga3
+ Revision: 391504
- imported package multitail

